CVE-2002-0762
CVSS7.2
发布时间 :2002-08-12 00:00:00
修订时间 :2008-09-10 15:12:50
NMCO    

[原文]shadow package in SuSE 8.0 allows local users to destroy the /etc/passwd and /etc/shadow files or assign extra group privileges to some users by changing filesize limits before calling programs that modify the files.


[CNNVD]SuSE Shadow文件截断漏洞(CNNVD-200208-051)

        
        SuSE Linux是一款由SuSE维护的免费开放源代码操作系统。
        SuSE Linux中shadow工具包中的部分工具存在漏洞,可导致本地攻击者破坏/etc/passwd和/etc/shadow文件。
        攻击者可以在调用shadow工具包中的任意程序修改系统文件前设置恶意的不正确的文件大小限制,可导致破坏/etc/passwd和/etc/shadow文件的内容,产生本地拒绝服务攻击,并根据程序的权限不同,存在获得root权限的可能。
        不过此工具包在系统中不是默认安装。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0762
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0762
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200208-051
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4757
(VENDOR_ADVISORY)  BID  4757
http://www.iss.net/security_center/static/9102.php
(VENDOR_ADVISORY)  XF  suse-shadow-filesize-limits(9102)
http://www.novell.com/linux/security/advisories/2002_17_shadow.html
(UNKNOWN)  SUSE  SuSE-SA:2002:017

- 漏洞信息

SuSE Shadow文件截断漏洞
高危 未知
2002-08-12 00:00:00 2005-05-02 00:00:00
本地  
        
        SuSE Linux是一款由SuSE维护的免费开放源代码操作系统。
        SuSE Linux中shadow工具包中的部分工具存在漏洞,可导致本地攻击者破坏/etc/passwd和/etc/shadow文件。
        攻击者可以在调用shadow工具包中的任意程序修改系统文件前设置恶意的不正确的文件大小限制,可导致破坏/etc/passwd和/etc/shadow文件的内容,产生本地拒绝服务攻击,并根据程序的权限不同,存在获得root权限的可能。
        不过此工具包在系统中不是默认安装。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时没有合适的临时解决方法。
        厂商补丁:
        S.u.S.E.
        --------
        S.u.S.E.已经为此发布了一个安全公告(SuSE-SA:2002:017)以及相应补丁:
        SuSE-SA:2002:017:shadow/pam-modules
        链接:
        http://www.suse.com/de/support/security/2002_17_shadow.html

        补丁下载:
        i386 Intel Platform:
        SuSE-8.0
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/a1/shadow-4.0.2-88.i386.rpm
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/a1/pam-modules-2002.3.9-31.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/zq1/shadow-4.0.2-88.src.rpm
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/zq1/pam-modules-2002.3.9-31.src.rpm
        补丁安装方法:
        用"rpm -Fhv file.rpm"命令安装文件。

- 漏洞信息

5087
SuSE shadow Package File Overwrite

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-04-08 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站